commit:     267465b403f59b5edd420d782f3749e39d733e4e
Author:     Daniel Quinn <code <AT> danielquinn <DOT> org>
AuthorDate: Wed Jan 13 13:00:21 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jan 13 13:43:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=267465b4

www-analyzer/ripe-atlas-tools: Version bump to 1.2.2

 net-analyzer/ripe-atlas-tools/Manifest             |  3 ++
 .../ripe-atlas-tools/ripe-atlas-tools-1.2.2.ebuild | 47 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/net-analyzer/ripe-atlas-tools/Manifest 
b/net-analyzer/ripe-atlas-tools/Manifest
index b859976..a5a3d21 100644
--- a/net-analyzer/ripe-atlas-tools/Manifest
+++ b/net-analyzer/ripe-atlas-tools/Manifest
@@ -1,2 +1,5 @@
 DIST ripe.atlas.tools-1.2.1.tar.gz 83916 SHA256 
3f4d385ffa9bfb9cc04121dc109807f85d1291db4705529ff83da44847856665 SHA512 
4c91d14f15e80e7e0ce4d6973e497bb48561314434d1521437311fb813197da7ba0a3e27f14cebe5a71d75baba37d2e5045b94d9e39699ef4a4e57aafb063ea7
 WHIRLPOOL 
7e5c2d30407191b18c7e4d4418fcb64c386ca9525a2b8224d5290c4fab1e458686d86a00cac7b7bbd70d1d0688e44e76bd563e2589c8aba204ac8165ef10fc0c
+DIST ripe.atlas.tools-1.2.2.tar.gz 84242 SHA256 
93f86d1177b3dc4dd9ac89f08b77d808f093150a5b0afb0351b30a628251a2a0 SHA512 
f76efc0412e21ae50c27ddb33b00274f9be6f6f8d2106eac4e76d8dcdc14f114efc0cae5ee961b56f10b302cee0afa0ea6b84b0df588ddaf9ff5e132f8db4f2c
 WHIRLPOOL 
138d678859be850364835cf4e6ccaa222d3b5c757b6f9167dda44b55cd9621515a798840fb66242f48232a26e9a7bfb32f4d5a9b3e899799941f302b877660d4
 EBUILD ripe-atlas-tools-1.2.1.ebuild 1277 SHA256 
4734ec06ada6c5605dce4366129f29a647d53332d606da4e5883b11a93aeb270 SHA512 
b24356a67c1aadb40e2b25f94ced2858b4b6a0f7896dbf411cb85bdb6ee11aba365ede9e2cc64c4c6c4a4631906307c99ed106302439640b01882840bab8cb61
 WHIRLPOOL 
9c159873251231b480de54b1356216cec6aaac560e1abf301c99c56f22a645c835c8735455da7cd94224298a6a8c221fb10ba6938850f3d6a79766d84c402f00
+EBUILD ripe-atlas-tools-1.2.2.ebuild 1278 SHA256 
a649b5a5f08d8a31f6258e5eeed07190781ddc72209c2b29ac789e2cd9ea8d49 SHA512 
12c682e2157919cbdd005fe846010c9bb02c2f0b70e8c6aeef4ea6efe6834e292084f3c0a506dd8259ab5bc9c54eca3c886d9ea54784bc576a039c7bde5b68e5
 WHIRLPOOL 
11356c4c0a468c0c1bc75aa66a500cabe8f0da7942881026a70260aab5608ca20a1e30e773851ba55c6be473dbd668f39013d8bb0da618f0e6e7b3abf4708342
+MISC metadata.xml 345 SHA256 
33a1cff3c8a835293ac8ff07a05086904ad7fde1b71e6f9f981b01b9e686e961 SHA512 
285f96a255608ec8df95194c6cce5d97b96e5b6115d1f322384ac339e8817cf96f958fa9fd6a148f6b1a38429d9eb97edb9c456a029ca4dee1b1fa264954a636
 WHIRLPOOL 
f30a66796a0b58f138154d3b0a6f40cf3aa8de91fc312994e81fd7373383be48da89b3f6eb7a1e132157a7b7a62efb50824ec4b755f44c55b95693b0b3858254

diff --git a/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.2.ebuild 
b/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.2.ebuild
new file mode 100644
index 0000000..8c0928c
--- /dev/null
+++ b/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_4 )
+
+inherit distutils-r1
+
+MY_PN=${PN//-/.}
+DESCRIPTION="The official command-line client for RIPE Atlas"
+HOMEPAGE="https://atlas.ripe.net/";
+SRC_URI="mirror://pypi/${PN:0:1}/ripe.atlas.tools/ripe.atlas.tools-${PVR}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+S="${WORKDIR}/${MY_PN}-${PVR}"
+
+RDEPEND="
+       >=net-libs/ripe-atlas-sagan-1.1.8[${PYTHON_USEDEP}]
+       >=www-client/ripe-atlas-cousteau-1.0.7[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/tzlocal[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/ujson[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               "${RDEPEND}"
+               dev-python/nose[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7) )"
+
+python_test() {
+       nosetests --verbose || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+       echo "RIPE Atlas Tools (Magellan) [Gentoo Linux] ${PVR}" > \
+               ${D}$(python_get_sitedir)/ripe/atlas/tools/user-agent
+}

Reply via email to